> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Accounts for a User

<Note>
  **Note – Replaced by Recipients feature**

  The Bank Account object and endpoints have been replaced by the Recipients feature, which all platforms should integrate instead.

  Legacy active Bank Accounts (`Active` is `true`) have been migrated to the new feature and their data is retrievable via the [GET View a Recipient](/api-reference/recipients/view-recipient) endpoint using the same `BankAccountId`. Read more about [legacy bank account migration](/guides/payouts#migration-of-legacy-bank-accounts).
</Note>

The returned parameters may vary depending on the encountered bank account types.

### Query parameters

<ParamField query="page" type="integer">
  Start value: `1`

  **Default value:** `1`

  Indicates the index of the page for the pagination.
</ParamField>

<ParamField query="per_page" type="integer">
  Min. value: `1`; max. value: `100`

  **Default value:** `10`

  Indicates the number of items returned for each page of the pagination.
</ParamField>

<ParamField query="Sort" type="string">
  **Possible values:** `CreationDate:ASC`, `CreationDate:DESC`

  **Default value:** `CreationDate:ASC`

  Indicates the direction in which to sort the list.
</ParamField>

<ParamField query="Active" type="boolean" required>
  Whether or not the Bank Account is active.
  Mangopay automatically sets this parameter to `false` if the bank account is closed or does not exist anymore.
</ParamField>

### Path parameters

<ParamField path="UserId" type="string" required>
  The unique identifier of the User (natural or legal) who owns the bank account.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="Array (Bank Accounts)" type="array">
      The list of Bank Accounts objects created by the platform. Returned parameters can vary depending on the bank account `Type`.

      <Expandable title="properties">
        <ResponseField name="Object (Bank Accounts)" type="object">
          The Bank Account object created by the platform.

          <Expandable title="properties">
            <ResponseField name="OwnerAddress" type="object">
              Information about the address of residence of the bank account owner.

              <Expandable title="properties">
                <ResponseField name="AddressLine1" type="string">
                  Max. length: 255 characters

                  The first line of the address.
                </ResponseField>

                <ResponseField name="AddressLine2" type="string">
                  Max. length: 255 characters

                  The second line of the address.
                </ResponseField>

                <ResponseField name="City" type="string">
                  Max. length: 255 characters

                  The city of the address.
                </ResponseField>

                <ResponseField name="Region" type="string">
                  Max. length: 255 characters

                  The region of the address. This field is optional except if the `Country` is US, CA, or MX.
                </ResponseField>

                <ResponseField name="PostalCode" type="string">
                  Max. length: 255 characters

                  The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
                </ResponseField>

                <ResponseField name="Country" type="string">
                  Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

                  The country of the address.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="OwnerName" type="string">
              Max. length: 255 characters

              The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)).

              If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`.

              If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`.

              **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response.
            </ResponseField>

            <ResponseField name="Tag" type="string">
              Max. length: 255 characters

              Custom data that you can add to this object.
            </ResponseField>

            <ResponseField name="IBAN" type="string">
              The IBAN (international bank account number) for the bank account.
            </ResponseField>

            <ResponseField name="AccountNumber" type="string">
              Format: Digits only

              The unique set of digits of the bank account.
            </ResponseField>

            <ResponseField name="BIC" type="string">
              The BIC (international identifier of the bank) for IBAN or OTHER-type bank accounts.

              The BIC can have one of the two following formats:

              * BIC8 – 8-character BIC (AAAABBCC)
              * BIC11 – 11-character BIC (AAAABBCCDDD)

              In which:

              * AAAA represents the bank code: 4 characters defining the bank
              * BB represents the country code: 2 characters forming the country ISO code (ISO 3166 format)
              * CC represents the location code: 2 localization characters (alphabetical or numeric) to distinguish banks from the same country
              * DDD represents the branch code: 3 characters used to define the branch of the bank (sometimes replaced with XXX)
            </ResponseField>

            <ResponseField name="ABA" type="string">
              Length: 9 characters

              The American Banking Association (ABA) routing number for US-type bank accounts.
            </ResponseField>

            <ResponseField name="DepositAccountType" type="string">
              **Returned values:** `CHECKING`, `SAVINGS`

              The deposit type for US-type bank accounts.
            </ResponseField>

            <ResponseField name="InstitutionNumber" type="string">
              Length: 3 digits

              The 3-digit number assigned to Canadian financial institutions, for CA-type bank accounts.
            </ResponseField>

            <ResponseField name="BranchCode" type="string">
              Length: 5 digits

              The 5-digit number assigned to branches of Canadian financial institutions, for CA-type bank accounts.
            </ResponseField>

            <ResponseField name="BankName" type="string">
              Max. length: 50 characters (letters and digits only)

              The name of the Canadian bank for CA-type bank accounts.
            </ResponseField>

            <ResponseField name="SortCode" type="string">
              The 6-digit sort code, assigned to UK financial institutions, for GB-type bank accounts.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country in which the bank account is registered.
            </ResponseField>

            <ResponseField name="UserId" type="string">
              The unique identifier of the User (natural or legal) who owns the bank account.
            </ResponseField>

            <ResponseField name="Type" type="string">
              **Returned values:** `IBAN`, `US`, `CA`, `GB`, `OTHER`

              The type of the bank account, indicating the country where the real-life account is registered\
              The values are:

              * `IBAN` – For accounts registered in countries that use IBAN 
              * `US` – For accounts registered in the United States 
              * `CA` – For accounts registered in Canada
              * `GB` – For accounts registered in the United Kingdom
              * `OTHER` – For accounts registered in countries that do not use IBAN (and are not US, CA, GB)
            </ResponseField>

            <ResponseField name="Id" type="string">
              Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

              The unique identifier of the object.
            </ResponseField>

            <ResponseField name="CreationDate" type="Unix timestamp">
              The date and time at which the object was created.
            </ResponseField>

            <ResponseField name="Active" type="boolean">
              Whether or not the Bank Account is active.
              Mangopay automatically sets this parameter to `false` if the bank account is closed or does not exist anymore.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200   theme={null}
  [
      {
          "OwnerAddress":{
              "AddressLine1":"The Oasis",
              "AddressLine2":"Rue des plantes",
              "City":"Paris",
              "Region":"Ile de Frog",
              "PostalCode":"75010",
              "Country":"FR"
          },
          "IBAN":"FR7630004000031234567890143",
          "BIC":"CRLYFRPP",
          "UserId":"142036728",
          "OwnerName":"John Doe",
          "Type":"IBAN",
          "Id":"142036878",
          "Tag":"Postman create a bank account",
          "CreationDate":1654073079,
          "Active":true
      },
      {
          "OwnerAddress":{
              "AddressLine1":"77 Street",
              "AddressLine2":"Rue des plantes",
              "City":"Paris",
              "Region":"Ile de France",
              "PostalCode":"75009",
              "Country":"FR"
          },
          "AccountNumber":"11696419",
          "ABA":"071000288",
          "DepositAccountType":"CHECKING",
          "UserId":"142036728",
          "OwnerName":"John Doe",
          "Type":"US",
          "Id":"150294885",
          "Tag":null,
          "CreationDate":1661864955,
          "Active":true
      }
  ]  
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $userId = '146476890';

      $response = $api->Users->GetBankAccounts($userId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r$e);
  }
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  let user = {
    Id: '165863393',
  }

  const listUserBankAccounts = async (userId) => {
    return await mangopay.Users.getBankAccounts(userId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  listUserBankAccounts(user.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def listBankAccounts(userId)
      begin
          response = MangoPay::BankAccount.fetch(userId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch bank account: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myUser = {
      Id: '165863393'
  }

  listBankAccounts(myUser[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.BankAccount;
  import java.util.List;

  public class ListUserBankAccounts {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");
          
           var userId = "user_m_01J29D5XMKKNPX72AR5HRV804X";

          List<BankAccount> bankAccounts = mangopay.getUserApi().getBankAccounts(userId, null, null);

          for (BankAccount bankAccount : bankAccounts) {
              Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
              String prettyJson = prettyPrint.toJson(bankAccount);

              System.out.println(prettyJson);
          }
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import NaturalUser

  natural_user = NaturalUser.get('213753890')

  bank_accounts = natural_user.bankaccounts.all()

  for bank_account in bank_accounts:
      pprint(vars(bank_account))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
          
          var bankAccounts = await api.Users.GetBankAccountsAsync(userId, new Pagination(1, 100), null);

          string prettyPrint = JsonConvert.SerializeObject(bankAccounts, Formatting.Indented);
          Console.WriteLine(prettyPrint);
  	}
  }
  ```
</RequestExample>
